Failed to load JNI shared library

Failed to load JNI shared library

Eclipse error:

Reason for the above error:

Both eclipse and java bit may not be same.

Eg:  eclipse (32bit) and java(64bit) or eclipse(64bit) and java(32bit).

Solution:

Match the eclipse bit(32bit) and java(32bit) or eclipse bit(64bit) and java(64bit).

How to check whether eclipse is 32bit or 64bit ?

Just go to eclipse configuration file and see the line below like this,

eclipse.ini

plugins/org.eclipse.equinox.launcher.win32.win32.x86_1.1.200.v20120522-1813

this is 32bit eclipse.

Download the eclipse and java from the official below sites with same bit(32 bit) or (64bit)

Eclipse download:

Java download:

 Ensure the path should be like this,

Java_Home:   C:\Program Files\Java\jdk1.6.0

CLASSPATH: C:\Program Files\Java\jdk1.6.0\jre\lib

PATH :             C:\Program Files\Java\jdk1.6.0\bin

 

Thanks for reading this post……….!!!

860 total views, 3 views today

One thought on “Failed to load JNI shared library

Leave a Reply

Your email address will not be published. Required fields are marked *